Bug 89771 - Workspace Switcher keyboard shortcut do not work.
Workspace Switcher keyboard shortcut do not work.
Status: CLOSED UPSTREAM
Product: Red Hat Linux
Classification: Retired
Component: kdebase (Show other bugs)
9
i686 Linux
medium Severity medium
: ---
: ---
Assigned To: Ngo Than
Ben Levenson
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2003-04-27 23:43 EDT by Jerry W. Hubbard
Modified: 2007-04-18 12:53 EDT (History)
2 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2003-07-15 09:24:05 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Jerry W. Hubbard 2003-04-27 23:43:58 EDT
From Bugzilla Helper:
User-Agent: Mozilla/5.0 (X11; U; Linux i686; en-US; rv:1.2.1) Gecko/20030225

Description of problem:
I am runing RH9 with the KDE desktop. 

The output of uname -a is "Linux microtel 2.4.20-9 #1 Wed Apr 2 13:24:44 EST
2003 i686 athlon i386 GNU/Linux"

All update have been applied using up2date.

The desktop has been restarted and the computer has been rebooted.

The keyboard mapping is default.

The following keyboard shortcuts described in the "Red Hat Linux 9: Red Hat
Linux Getting Started Guide, Chapter 2. Using the Graphical Desktop" do not
work. This is from the RPM version of the documentation.

Section: 2.2.2. Using Applets

Subsection: Workspace Switcher

"You can also use the keyboard shortcut [Ctrl]-[Alt]-[up-arrow],
[Ctrl]-[Alt]-[down-arrow], [Ctrl]-[Alt]-[right-arrow], or
[Ctrl]-[Alt]-[left-arrow] to switch between desktops."




Version-Release number of selected component (if applicable):
Workspace Switcher keyboard shortcut do not work.

How reproducible:
Always

Steps to Reproduce:
[Ctrl]-[Alt]-[up-arrow], [Ctrl]-[Alt]-[down-arrow], [Ctrl]-[Alt]-[right-arrow],
or [Ctrl]-[Alt]-[left-arrow] to switch between desktops  

Actual Results:  Changes the selection of desktop icon. The icon name is boxed.
It is not  highlighted.

Expected Results:  Switch workspace.

Additional info:
Comment 1 Mike A. Harris 2003-04-28 04:46:46 EDT
XFree86 has nothing to do with this at all.  This is handled by your window
manager.  What window manager are you using?
Comment 2 Mike A. Harris 2003-04-28 04:51:18 EDT
XFree86-Servers doesn't exist in Red Hat Linux 8.0 or 9, reassigning to
XFree86.
Comment 3 Mike A. Harris 2003-05-13 04:27:26 EDT
I'm closing this bug as NOTABUG as I've stated above it is a window manager
related issue and not an XFree86 issue, however I can't reassign the bug
report to the window manager as you have not responded to my request to
determine what one you are using.

If you are using a window manager supplied by Red Hat, feel free to reopen
this bug report and reassign the bug to the window manager package.
Comment 4 Owen Taylor 2003-05-14 12:09:54 EDT
The reporter did say: "I am runing RH9 with the KDE desktop.", which
strongly implies kwin (kdebase package).

I think that we've said that the keybindings should be the same for
all desktops which makes this a kdebase bug not a documentation bug.
Comment 5 Ngo Than 2003-07-15 09:24:05 EDT
yes. it's a bug in kwin (kdebase), which is fixed in KDE 3.1.2. You can download
KDE 3.1.2 (build for RHL 9) from ftp.kde.org

To switch workspace you have to use [Ctrl]-[Alt]-[right-arrow],
[Ctrl]-[Alt]-[left-arrow].

Note You need to log in before you can comment on or make changes to this bug.